## 目录结构说明

本目录包含 Android 版 短视频(UGSV) SDK 的Demo 源代码，主要演示接口如何调用以及最基本的功能。

```
├─ Demo // 短视频Demo，包括视频录制，视频编辑，视频合成，视频发布上传
|  ├─ app                   // 程序入口界面
|  ├─ beautysettingkit      // 美颜面板，包含美颜，滤镜，动效等效果
|  ├─ ugckit                // UGC 组件，包含视频录制，编辑，合成，发布上传等基础功能
|  ├─ ugcvideorecorddemo    // 视频录制 Demo
|  ├─ ugcvideojoindemo      // 视频合成 Demo
|  ├─ ugcvideoeditdemo      // 视频编辑 Demo
|  ├─ ugcvideouploaddemo    // 视频发布上传 Demo
|  ├─ superplayerkit        // 超级播放器组件
|  ├─ superplayerdemo       // 超级播放器 Demo
|  
|
├─ SDK 
│  ├─ LiteAVSDK_UGC_x.y.zzzz.aar          // 如果您下载的是UGC专用 zip 包，解压后将出现此文件夹，其中 x.y.zzzz 表示 SDK 版本号 
|  ├─ LiteAVSDK_Professional_x.y.zzzz.aar // 如果您下载的是专业版 zip 包，解压后将出现此文件夹，其中 x.y.zzzz 表示 SDK 版本号 
|  ├─ LiteAVSDK_Enterprise_x.y.zzzz.aar   // 如果您下载的是企业版 zip 包，解压后将出现此文件夹，其中 x.y.zzzz 表示 SDK 版本号 
```

## SDK 分类和下载

腾讯云 UGC SDK 基于 LiteAVSDK 统一框架设计和实现，该框架包含直播、点播、短视频、RTC、AI美颜在内的多项功能：

- 如果您追求最小化体积增量，可以下载 UGSV 版：[TXLiteAVSDK_UGC.zip](https://cloud.tencent.com/document/product/584/9366#.E7.9F.AD.E8.A7.86.E9.A2.91-sdk-.E5.90.84.E7.89.88.E6.9C.AC.E4.B8.8B.E8.BD.BD)
- 如果您需要使用多个功能而不希望打包多个 SDK，可以下载专业版：[TXLiteAVSDK_Professional.zip](https://cloud.tencent.com/document/product/647/32689#Professional)
- 如果您已经通过腾讯云商务购买了 AI 美颜 License，可以下载企业版：[TXLiteAVSDK_Enterprise.zip](https://cloud.tencent.com/document/product/647/32689#Enterprise)

## 相关文档链接

- [SDK 的版本更新历史](https://cloud.tencent.com/document/product/584/39644)
- [SDK 的 API 文档](http://doc.qcloudtrtc.com/group__TXUGCRecord__android.html)
- [SDK 的官方体验 App](https://cloud.tencent.com/document/product/584/9365)
- [全功能小视频 App（Demo）源代码](http://download-1252463788.file.myqcloud.com/xiaoshipin/XiaoShiPin_Professional_Android.zip)
